if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libmatekbd.so )
( cd usr/lib64 ; ln -sf libmatekbd.so.6.0.2 libmatekbd.so )
( cd usr/lib64 ; rm -rf libmatekbd.so.6 )
( cd usr/lib64 ; ln -sf libmatekbd.so.6.0.2 libmatekbd.so.6 )
( cd usr/lib64 ; rm -rf libmatekbdui.so )
( cd usr/lib64 ; ln -sf libmatekbdui.so.6.0.2 libmatekbdui.so )
( cd usr/lib64 ; rm -rf libmatekbdui.so.6 )
( cd usr/lib64 ; ln -sf libmatekbdui.so.6.0.2 libmatekbdui.so.6 )
